import type { ColorPickerEventListener, ColorPickerEventMap } from '../types';
declare const $color: unique symbol;
declare const $saved: unique symbol;
declare const $input: unique symbol;
declare const $update: unique symbol;
export interface HexInputBase {
    addEventListener<T extends keyof ColorPickerEventMap<string>>(type: T, listener: ColorPickerEventListener<ColorPickerEventMap<string>[T]>, options?: boolean | AddEventListenerOptions): void;
    removeEventListener<T extends keyof ColorPickerEventMap<string>>(type: T, listener: ColorPickerEventListener<ColorPickerEventMap<string>[T]>, options?: boolean | EventListenerOptions): void;
}
export declare class HexInputBase extends HTMLElement {
    static get observedAttributes(): string[];
    private [$color];
    private [$saved];
    private [$input];
    get color(): string;
    set color(hex: string);
    connectedCallback(): void;
    handleEvent(event: Event): void;
    attributeChangedCallback(_attr: string, _oldVal: string, newVal: string): void;
    private [$update];
}
export {};
//# sourceMappingURL=hex-input.d.ts.map